Skip to content

Statistics

All operations require authentication.

1 operationv1/overTheBox/{serviceName}
Agent setup

Get the statistics of an OverTheBox deviceBeta

GET
/1.0/overTheBox/{serviceName}/statistics

Returns the load, free memory or traffic series of the device for an hourly, daily, weekly or monthly period, each series with its unit, tags and timestamped points.

Path parameters

serviceName
required
string

Service name

Query parameters

metricsType
required
DeviceStatisticsTypeEnum

Type of metrics you want to retrieve

Valuesloadmemory_freetraffic
period
DeviceStatisticsPeriodEnum

Period (default is daily)

Valuesdailyhourlymonthlyweekly

Response

200statistics[]successful operation
name
read-only
string

Name of the serie

points
read-only
point[]

List of point

tags
read-only
tag[]

List of tags

unit
read-only
DeviceStatisticsUnitEnum

Unit of the serie

Valuesbpsbyten/a

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "name": "string", "points": [ { "timestamp": 0, "value": 0 } ], "tags": [ { "name": "string", "value": "string" } ], "unit": "bps" }]